global.css 4.8 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225
  1. button {
  2. -webkit-appearance: none;
  3. -moz-appearance: none;
  4. user-select: none;
  5. padding: 2px 7px;
  6. border: 1px solid hsl(0, 0%, 62%);
  7. font: 400 13.3333px Arial;
  8. color: #000;
  9. background-color: hsl(0, 0%, 100%);
  10. background: url(../images/button.png)repeat-x;
  11. background-size: 100% 100%;
  12. transition: background-color .25s, border-color .25s;
  13. }
  14. button:not(:disabled):hover {
  15. background-color: hsl(0, 0%, 95%);
  16. border-color: hsl(0, 0%, 52%);
  17. }
  18. /* For some odd reason these hovers appear lighter than all other button hovers in every browser */
  19. #message-box-buttons button:not(:disabled):hover {
  20. background-color: hsl(0, 0%, 90%);
  21. border-color: hsl(0, 0%, 50%);
  22. }
  23. input:not([type]) {
  24. background: #fff;
  25. color: #000;
  26. height: 22px;
  27. min-height: 22px!important;
  28. line-height: 22px;
  29. padding: 0 3px;
  30. font: 400 13.3333px Arial;
  31. border: 1px solid hsl(0, 0%, 66%);
  32. }
  33. .svg-icon.checked {
  34. position: absolute;
  35. height: 8px;
  36. width: 8px;
  37. display: none;
  38. fill: #000;
  39. margin: 2px 0 0 2px;
  40. }
  41. input[type="checkbox"]:not(.slider):checked + .svg-icon.checked {
  42. display: inline-flex;
  43. transition: fill .1s;
  44. }
  45. input[type="checkbox"]:not(.slider) {
  46. -webkit-appearance: none;
  47. -moz-appearance: none;
  48. position: absolute;
  49. left: 0;
  50. top: 0;
  51. border: 1px solid hsl(0, 0%, 46%);
  52. height: 12px;
  53. width: 12px;
  54. display: inline-flex;
  55. border-radius: 2px;
  56. background-color: hsla(0, 0%, 0%, .1);
  57. outline: none;
  58. margin: 0;
  59. transition: background-color .1s, border-color .1s;
  60. }
  61. input[type="checkbox"]:not(.slider):not(:disabled):hover {
  62. border-color: hsl(0, 0%, 32%);
  63. background-color: hsl(0, 0%, 82%);
  64. }
  65. input[type="checkbox"]:not(.slider):checked + .svg-icon.checked {
  66. position: absolute;
  67. top: 0;
  68. left: 0;
  69. pointer-events: none;
  70. }
  71. input[type="checkbox"]:not(.slider):disabled {
  72. background-color: transparent;
  73. border-color: hsl(0, 0%, 50%);
  74. }
  75. input[type="checkbox"]:not(.slider):disabled + .svg-icon.checked {
  76. fill: hsl(0, 0%, 50%);
  77. }
  78. input[type="checkbox"]:not(.slider):disabled + .svg-icon.checked + span {
  79. color: hsl(0, 0%, 50%);
  80. }
  81. label {
  82. transition: color .1s;
  83. }
  84. select {
  85. -moz-appearance: none;
  86. -webkit-appearance: none;
  87. height: 22px;
  88. font: 400 13.3333px Arial;
  89. color: #000;
  90. background-color: transparent;
  91. border: 1px solid hsl(0, 0%, 66%);
  92. padding: 0 20px 0 6px;
  93. transition: color .5s;
  94. }
  95. .select-resizer {
  96. display: inline-flex!important;
  97. cursor: default;
  98. position: relative;
  99. }
  100. .svg-icon.select-arrow {
  101. pointer-events: none;
  102. cursor: default;
  103. display: inline-flex;
  104. height: 14px;
  105. width: 14px;
  106. fill: #000;
  107. position: absolute;
  108. top: 4px;
  109. right: 4px;
  110. transition: fill .5s;
  111. }
  112. input[type="radio"] {
  113. -webkit-appearance: none;
  114. -moz-appearance: none;
  115. outline: none;
  116. background: hsl(0, 0%, 88%);
  117. border-radius: 50%;
  118. border: 1px solid hsl(0, 0%, 60%);
  119. cursor: default;
  120. height: 13px;
  121. width: 13px;
  122. position: relative;
  123. }
  124. input[type="radio"]:after {
  125. content: '';
  126. background-color: transparent;
  127. transform: scale(0);
  128. transform-origin: 50% 50%;
  129. transition: background-color .5s, transform .5s;
  130. border-radius: 50%;
  131. height: 7px;
  132. width: 7px;
  133. left: 2px;
  134. top: 2px;
  135. position: absolute;
  136. }
  137. input[type="radio"]:checked:after {
  138. background-color: hsl(0, 0%, 30%);
  139. transform: scale(1);
  140. }
  141. /* restore disabled state dimming */
  142. button:disabled,
  143. select:disabled,
  144. option:disabled,
  145. select[disabled] > option {
  146. color: graytext;
  147. }
  148. @supports (-moz-appearance: none) {
  149. .moz-appearance-bug .svg-icon.checked,
  150. .moz-appearance-bug input[type="radio"]:after {
  151. display: none !important;
  152. }
  153. .moz-appearance-bug input[type="checkbox"] {
  154. -moz-appearance: checkbox !important;
  155. }
  156. .moz-appearance-bug input[type="radio"] {
  157. -moz-appearance: radio !important;
  158. }
  159. .firefox select {
  160. font-size: 13px;
  161. padding: 0 20px 0 2px;
  162. line-height: 22px!important;
  163. }
  164. svg {
  165. transform: scale(1); /* de-blur */
  166. }
  167. /* We can customize everything about number inputs except arrows. They're horrible in Linux FF, so we'll hide them unless hovered or focused. */
  168. .firefox.non-windows input[type="number"] {
  169. -moz-appearance: textfield;
  170. background: #fff;
  171. color: #000;
  172. border: 1px solid hsl(0, 0%, 66%);
  173. }
  174. .firefox.non-windows input[type="number"]:not(:disabled):hover,
  175. .firefox.non-windows input[type="number"]:focus {
  176. -moz-appearance: number-input;
  177. }
  178. .firefox.non-windows input[type="color"] {
  179. background: #fff;
  180. border: 1px solid hsl(0, 0%, 66%);
  181. padding: 4px;
  182. }
  183. .firefox.non-windows .style-name {
  184. font-family: Arial, sans-serif;
  185. }
  186. /* Firefox cannot handle fractions in font-size */
  187. .firefox button:not(.install) {
  188. font-size: 13px;
  189. line-height: 13px;
  190. padding: 3px 7px;
  191. }
  192. .firefox.moz-appearance-bug button:not(.install) {
  193. padding: 2px 4px;
  194. }
  195. }